Bug 129936 - rhn-applet fails to initialize non-http URLs
rhn-applet fails to initialize non-http URLs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-08-14 17:06 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 09:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn applet sources file (1.92 KB, text/plain)
2004-08-14 17:11 EDT, G.Wolfe Woodbury
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2004-08-14 17:06:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
The rhn-applet desktop icon goes to a grey question mark with an
exception and error.

Version-Release number of selected component (if applicable):
rhn-applet--2.1.7-1.1

How reproducible:
Always

Steps to Reproduce:
1.add a local file URL to rhn/sources
2.
3.
    

Actual Results:  Exception type exceptions.KeyError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 458, in refresh
    self.model.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 376, in
refresh
    if not self.fully_initialized():
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 310, in
fully_initialized
    self.__build_sources()
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 121, in
__build_sources
    rhn_utils.log_debug("Failed to initialize source %s for %s : %s
%s" % (
KeyError: 'url'


Expected Results:  a nice blue check mark :-)

Additional info:
Comment 1 G.Wolfe Woodbury 2004-08-14 17:11:15 EDT
Created attachment 102736 [details]
rhn applet sources file

note the "file://" URL
Comment 2 Daniel Veillard 2004-08-14 17:31:52 EDT
That should work except $ARCH may not be substitued, try to
replace with i386 or whatever is needed

Daniel
Comment 3 G.Wolfe Woodbury 2004-08-14 18:43:53 EDT
That fixes the problem, but it is merely a workaround.
Comment 4 G.Wolfe Woodbury 2006-05-02 09:49:53 EDT
obsolete, not a problem in FC5, closing bug

Note You need to log in before you can comment on or make changes to this bug.